import { WorkMailClient } from "./WorkMailClient";
import { AssociateDelegateToResourceInput } from "./types/AssociateDelegateToResourceInput";
import { AssociateDelegateToResourceOutput } from "./types/AssociateDelegateToResourceOutput";
import { AssociateMemberToGroupInput } from "./types/AssociateMemberToGroupInput";
import { AssociateMemberToGroupOutput } from "./types/AssociateMemberToGroupOutput";
import { CreateAliasInput } from "./types/CreateAliasInput";
import { CreateAliasOutput } from "./types/CreateAliasOutput";
import { CreateGroupInput } from "./types/CreateGroupInput";
import { CreateGroupOutput } from "./types/CreateGroupOutput";
import { CreateResourceInput } from "./types/CreateResourceInput";
import { CreateResourceOutput } from "./types/CreateResourceOutput";
import { CreateUserInput } from "./types/CreateUserInput";
import { CreateUserOutput } from "./types/CreateUserOutput";
import { DeleteAliasInput } from "./types/DeleteAliasInput";
import { DeleteAliasOutput } from "./types/DeleteAliasOutput";
import { DeleteGroupInput } from "./types/DeleteGroupInput";
import { DeleteGroupOutput } from "./types/DeleteGroupOutput";
import { DeleteMailboxPermissionsInput } from "./types/DeleteMailboxPermissionsInput";
import { DeleteMailboxPermissionsOutput } from "./types/DeleteMailboxPermissionsOutput";
import { DeleteResourceInput } from "./types/DeleteResourceInput";
import { DeleteResourceOutput } from "./types/DeleteResourceOutput";
import { DeleteUserInput } from "./types/DeleteUserInput";
import { DeleteUserOutput } from "./types/DeleteUserOutput";
import { DeregisterFromWorkMailInput } from "./types/DeregisterFromWorkMailInput";
import { DeregisterFromWorkMailOutput } from "./types/DeregisterFromWorkMailOutput";
import { DescribeGroupInput } from "./types/DescribeGroupInput";
import { DescribeGroupOutput } from "./types/DescribeGroupOutput";
import { DescribeOrganizationInput } from "./types/DescribeOrganizationInput";
import { DescribeOrganizationOutput } from "./types/DescribeOrganizationOutput";
import { DescribeResourceInput } from "./types/DescribeResourceInput";
import { DescribeResourceOutput } from "./types/DescribeResourceOutput";
import { DescribeUserInput } from "./types/DescribeUserInput";
import { DescribeUserOutput } from "./types/DescribeUserOutput";
import { DisassociateDelegateFromResourceInput } from "./types/DisassociateDelegateFromResourceInput";
import { DisassociateDelegateFromResourceOutput } from "./types/DisassociateDelegateFromResourceOutput";
import { DisassociateMemberFromGroupInput } from "./types/DisassociateMemberFromGroupInput";
import { DisassociateMemberFromGroupOutput } from "./types/DisassociateMemberFromGroupOutput";
import { GetMailboxDetailsInput } from "./types/GetMailboxDetailsInput";
import { GetMailboxDetailsOutput } from "./types/GetMailboxDetailsOutput";
import { ListAliasesInput } from "./types/ListAliasesInput";
import { ListAliasesOutput } from "./types/ListAliasesOutput";
import { ListGroupMembersInput } from "./types/ListGroupMembersInput";
import { ListGroupMembersOutput } from "./types/ListGroupMembersOutput";
import { ListGroupsInput } from "./types/ListGroupsInput";
import { ListGroupsOutput } from "./types/ListGroupsOutput";
import { ListMailboxPermissionsInput } from "./types/ListMailboxPermissionsInput";
import { ListMailboxPermissionsOutput } from "./types/ListMailboxPermissionsOutput";
import { ListOrganizationsInput } from "./types/ListOrganizationsInput";
import { ListOrganizationsOutput } from "./types/ListOrganizationsOutput";
import { ListResourceDelegatesInput } from "./types/ListResourceDelegatesInput";
import { ListResourceDelegatesOutput } from "./types/ListResourceDelegatesOutput";
import { ListResourcesInput } from "./types/ListResourcesInput";
import { ListResourcesOutput } from "./types/ListResourcesOutput";
import { ListUsersInput } from "./types/ListUsersInput";
import { ListUsersOutput } from "./types/ListUsersOutput";
import { PutMailboxPermissionsInput } from "./types/PutMailboxPermissionsInput";
import { PutMailboxPermissionsOutput } from "./types/PutMailboxPermissionsOutput";
import { RegisterToWorkMailInput } from "./types/RegisterToWorkMailInput";
import { RegisterToWorkMailOutput } from "./types/RegisterToWorkMailOutput";
import { ResetPasswordInput } from "./types/ResetPasswordInput";
import { ResetPasswordOutput } from "./types/ResetPasswordOutput";
import { UpdateMailboxQuotaInput } from "./types/UpdateMailboxQuotaInput";
import { UpdateMailboxQuotaOutput } from "./types/UpdateMailboxQuotaOutput";
import { UpdatePrimaryEmailAddressInput } from "./types/UpdatePrimaryEmailAddressInput";
import { UpdatePrimaryEmailAddressOutput } from "./types/UpdatePrimaryEmailAddressOutput";
import { UpdateResourceInput } from "./types/UpdateResourceInput";
import { UpdateResourceOutput } from "./types/UpdateResourceOutput";
export declare class WorkMail extends WorkMailClient {
    /**
     * <p>Adds a member (user or group) to the resource's set of delegates.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    associateDelegateToResource(args: AssociateDelegateToResourceInput): Promise<AssociateDelegateToResourceOutput>;
    associateDelegateToResource(args: AssociateDelegateToResourceInput, cb: (err: any, data?: AssociateDelegateToResourceOutput) => void): void;
    /**
     * <p>Adds a member (user or group) to the group's set.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryServiceAuthenticationFailedException} <p>The directory service doesn't recognize the credentials supplied by WorkMail.</p>
     *   - {DirectoryUnavailableException} <p>The directory on which you are trying to perform operations isn't available.</p>
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {UnsupportedOperationException} <p>You can't perform a write operation against a read-only directory.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    associateMemberToGroup(args: AssociateMemberToGroupInput): Promise<AssociateMemberToGroupOutput>;
    associateMemberToGroup(args: AssociateMemberToGroupInput, cb: (err: any, data?: AssociateMemberToGroupOutput) => void): void;
    /**
     * <p>Adds an alias to the set of a given member (user or group) of Amazon WorkMail.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EmailAddressInUseException} <p>The email address that you're trying to assign is already created for a different user, group, or resource.</p>
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {MailDomainNotFoundException} <p>For an email or alias to be created in Amazon WorkMail, the included domain must be defined in the organization.</p>
     *   - {MailDomainStateException} <p>After a domain has been added to the organization, it must be verified. The domain is not yet verified.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createAlias(args: CreateAliasInput): Promise<CreateAliasOutput>;
    createAlias(args: CreateAliasInput, cb: (err: any, data?: CreateAliasOutput) => void): void;
    /**
     * <p>Creates a group that can be used in Amazon WorkMail by calling the <a>RegisterToWorkMail</a> operation.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryServiceAuthenticationFailedException} <p>The directory service doesn't recognize the credentials supplied by WorkMail.</p>
     *   - {DirectoryUnavailableException} <p>The directory on which you are trying to perform operations isn't available.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {NameAvailabilityException} <p>The user, group, or resource name isn't unique in Amazon WorkMail.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {ReservedNameException} <p>This user, group, or resource name is not allowed in Amazon WorkMail.</p>
     *   - {UnsupportedOperationException} <p>You can't perform a write operation against a read-only directory.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createGroup(args: CreateGroupInput): Promise<CreateGroupOutput>;
    createGroup(args: CreateGroupInput, cb: (err: any, data?: CreateGroupOutput) => void): void;
    /**
     * <p>Creates a new Amazon WorkMail resource. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryServiceAuthenticationFailedException} <p>The directory service doesn't recognize the credentials supplied by WorkMail.</p>
     *   - {DirectoryUnavailableException} <p>The directory on which you are trying to perform operations isn't available.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {NameAvailabilityException} <p>The user, group, or resource name isn't unique in Amazon WorkMail.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {ReservedNameException} <p>This user, group, or resource name is not allowed in Amazon WorkMail.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createResource(args: CreateResourceInput): Promise<CreateResourceOutput>;
    createResource(args: CreateResourceInput, cb: (err: any, data?: CreateResourceOutput) => void): void;
    /**
     * <p>Creates a user who can be used in Amazon WorkMail by calling the <a>RegisterToWorkMail</a> operation.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryServiceAuthenticationFailedException} <p>The directory service doesn't recognize the credentials supplied by WorkMail.</p>
     *   - {DirectoryUnavailableException} <p>The directory on which you are trying to perform operations isn't available.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {InvalidPasswordException} <p>The supplied password doesn't match the minimum security constraints, such as length or use of special characters.</p>
     *   - {NameAvailabilityException} <p>The user, group, or resource name isn't unique in Amazon WorkMail.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {ReservedNameException} <p>This user, group, or resource name is not allowed in Amazon WorkMail.</p>
     *   - {UnsupportedOperationException} <p>You can't perform a write operation against a read-only directory.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createUser(args: CreateUserInput): Promise<CreateUserOutput>;
    createUser(args: CreateUserInput, cb: (err: any, data?: CreateUserOutput) => void): void;
    /**
     * <p>Remove one or more specified aliases from a set of aliases for a given user.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteAlias(args: DeleteAliasInput): Promise<DeleteAliasOutput>;
    deleteAlias(args: DeleteAliasInput, cb: (err: any, data?: DeleteAliasOutput) => void): void;
    /**
     * <p>Deletes a group from Amazon WorkMail.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryServiceAuthenticationFailedException} <p>The directory service doesn't recognize the credentials supplied by WorkMail.</p>
     *   - {DirectoryUnavailableException} <p>The directory on which you are trying to perform operations isn't available.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {UnsupportedOperationException} <p>You can't perform a write operation against a read-only directory.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteGroup(args: DeleteGroupInput): Promise<DeleteGroupOutput>;
    deleteGroup(args: DeleteGroupInput, cb: (err: any, data?: DeleteGroupOutput) => void): void;
    /**
     * <p>Deletes permissions granted to a member (user or group).</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteMailboxPermissions(args: DeleteMailboxPermissionsInput): Promise<DeleteMailboxPermissionsOutput>;
    deleteMailboxPermissions(args: DeleteMailboxPermissionsInput, cb: (err: any, data?: DeleteMailboxPermissionsOutput) => void): void;
    /**
     * <p>Deletes the specified resource. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteResource(args: DeleteResourceInput): Promise<DeleteResourceOutput>;
    deleteResource(args: DeleteResourceInput, cb: (err: any, data?: DeleteResourceOutput) => void): void;
    /**
     * <p>Deletes a user from Amazon WorkMail and all subsequent systems. Before you can delete a user, the user state must be <code>DISABLED</code>. Use the <a>DescribeUser</a> action to confirm the user state.</p> <p>Deleting a user is permanent and cannot be undone. WorkMail archives user mailboxes for 30 days before they are permanently removed.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryServiceAuthenticationFailedException} <p>The directory service doesn't recognize the credentials supplied by WorkMail.</p>
     *   - {DirectoryUnavailableException} <p>The directory on which you are trying to perform operations isn't available.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {UnsupportedOperationException} <p>You can't perform a write operation against a read-only directory.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteUser(args: DeleteUserInput): Promise<DeleteUserOutput>;
    deleteUser(args: DeleteUserInput, cb: (err: any, data?: DeleteUserOutput) => void): void;
    /**
     * <p>Mark a user, group, or resource as no longer used in Amazon WorkMail. This action disassociates the mailbox and schedules it for clean-up. WorkMail keeps mailboxes for 30 days before they are permanently removed. The functionality in the console is <i>Disable</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deregisterFromWorkMail(args: DeregisterFromWorkMailInput): Promise<DeregisterFromWorkMailOutput>;
    deregisterFromWorkMail(args: DeregisterFromWorkMailInput, cb: (err: any, data?: DeregisterFromWorkMailOutput) => void): void;
    /**
     * <p>Returns the data available for the group.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeGroup(args: DescribeGroupInput): Promise<DescribeGroupOutput>;
    describeGroup(args: DescribeGroupInput, cb: (err: any, data?: DescribeGroupOutput) => void): void;
    /**
     * <p>Provides more information regarding a given organization based on its identifier.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeOrganization(args: DescribeOrganizationInput): Promise<DescribeOrganizationOutput>;
    describeOrganization(args: DescribeOrganizationInput, cb: (err: any, data?: DescribeOrganizationOutput) => void): void;
    /**
     * <p>Returns the data available for the resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeResource(args: DescribeResourceInput): Promise<DescribeResourceOutput>;
    describeResource(args: DescribeResourceInput, cb: (err: any, data?: DescribeResourceOutput) => void): void;
    /**
     * <p>Provides information regarding the user.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    describeUser(args: DescribeUserInput): Promise<DescribeUserOutput>;
    describeUser(args: DescribeUserInput, cb: (err: any, data?: DescribeUserOutput) => void): void;
    /**
     * <p>Removes a member from the resource's set of delegates.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    disassociateDelegateFromResource(args: DisassociateDelegateFromResourceInput): Promise<DisassociateDelegateFromResourceOutput>;
    disassociateDelegateFromResource(args: DisassociateDelegateFromResourceInput, cb: (err: any, data?: DisassociateDelegateFromResourceOutput) => void): void;
    /**
     * <p>Removes a member from a group.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryServiceAuthenticationFailedException} <p>The directory service doesn't recognize the credentials supplied by WorkMail.</p>
     *   - {DirectoryUnavailableException} <p>The directory on which you are trying to perform operations isn't available.</p>
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {UnsupportedOperationException} <p>You can't perform a write operation against a read-only directory.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    disassociateMemberFromGroup(args: DisassociateMemberFromGroupInput): Promise<DisassociateMemberFromGroupOutput>;
    disassociateMemberFromGroup(args: DisassociateMemberFromGroupInput, cb: (err: any, data?: DisassociateMemberFromGroupOutput) => void): void;
    /**
     * <p>Requests a user's mailbox details for a specified organization and user.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getMailboxDetails(args: GetMailboxDetailsInput): Promise<GetMailboxDetailsOutput>;
    getMailboxDetails(args: GetMailboxDetailsInput, cb: (err: any, data?: GetMailboxDetailsOutput) => void): void;
    /**
     * <p>Creates a paginated call to list the aliases associated with a given entity.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listAliases(args: ListAliasesInput): Promise<ListAliasesOutput>;
    listAliases(args: ListAliasesInput, cb: (err: any, data?: ListAliasesOutput) => void): void;
    /**
     * <p>Returns an overview of the members of a group. Users and groups can be members of a group.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listGroupMembers(args: ListGroupMembersInput): Promise<ListGroupMembersOutput>;
    listGroupMembers(args: ListGroupMembersInput, cb: (err: any, data?: ListGroupMembersOutput) => void): void;
    /**
     * <p>Returns summaries of the organization's groups.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listGroups(args: ListGroupsInput): Promise<ListGroupsOutput>;
    listGroups(args: ListGroupsInput, cb: (err: any, data?: ListGroupsOutput) => void): void;
    /**
     * <p>Lists the mailbox permissions associated with a user, group, or resource mailbox.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listMailboxPermissions(args: ListMailboxPermissionsInput): Promise<ListMailboxPermissionsOutput>;
    listMailboxPermissions(args: ListMailboxPermissionsInput, cb: (err: any, data?: ListMailboxPermissionsOutput) => void): void;
    /**
     * <p>Returns summaries of the customer's non-deleted organizations.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listOrganizations(args: ListOrganizationsInput): Promise<ListOrganizationsOutput>;
    listOrganizations(args: ListOrganizationsInput, cb: (err: any, data?: ListOrganizationsOutput) => void): void;
    /**
     * <p>Lists the delegates associated with a resource. Users and groups can be resource delegates and answer requests on behalf of the resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listResourceDelegates(args: ListResourceDelegatesInput): Promise<ListResourceDelegatesOutput>;
    listResourceDelegates(args: ListResourceDelegatesInput, cb: (err: any, data?: ListResourceDelegatesOutput) => void): void;
    /**
     * <p>Returns summaries of the organization's resources.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listResources(args: ListResourcesInput): Promise<ListResourcesOutput>;
    listResources(args: ListResourcesInput, cb: (err: any, data?: ListResourcesOutput) => void): void;
    /**
     * <p>Returns summaries of the organization's users.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listUsers(args: ListUsersInput): Promise<ListUsersOutput>;
    listUsers(args: ListUsersInput, cb: (err: any, data?: ListUsersOutput) => void): void;
    /**
     * <p>Sets permissions for a user, group, or resource. This replaces any pre-existing permissions.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putMailboxPermissions(args: PutMailboxPermissionsInput): Promise<PutMailboxPermissionsOutput>;
    putMailboxPermissions(args: PutMailboxPermissionsInput, cb: (err: any, data?: PutMailboxPermissionsOutput) => void): void;
    /**
     * <p>Registers an existing and disabled user, group, or resource for Amazon WorkMail use by associating a mailbox and calendaring capabilities. It performs no change if the user, group, or resource is enabled and fails if the user, group, or resource is deleted. This operation results in the accumulation of costs. For more information, see <a href="https://aws.amazon.com//workmail/pricing">Pricing</a>. The equivalent console functionality for this operation is <i>Enable</i>. </p> <p>Users can either be created by calling the <a>CreateUser</a> API operation or they can be synchronized from your directory. For more information, see <a>DeregisterFromWorkMail</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryServiceAuthenticationFailedException} <p>The directory service doesn't recognize the credentials supplied by WorkMail.</p>
     *   - {DirectoryUnavailableException} <p>The directory on which you are trying to perform operations isn't available.</p>
     *   - {EmailAddressInUseException} <p>The email address that you're trying to assign is already created for a different user, group, or resource.</p>
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {EntityAlreadyRegisteredException} <p>The user, group, or resource that you're trying to register is already registered.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {MailDomainNotFoundException} <p>For an email or alias to be created in Amazon WorkMail, the included domain must be defined in the organization.</p>
     *   - {MailDomainStateException} <p>After a domain has been added to the organization, it must be verified. The domain is not yet verified.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    registerToWorkMail(args: RegisterToWorkMailInput): Promise<RegisterToWorkMailOutput>;
    registerToWorkMail(args: RegisterToWorkMailInput, cb: (err: any, data?: RegisterToWorkMailOutput) => void): void;
    /**
     * <p>Allows the administrator to reset the password for a user.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryServiceAuthenticationFailedException} <p>The directory service doesn't recognize the credentials supplied by WorkMail.</p>
     *   - {DirectoryUnavailableException} <p>The directory on which you are trying to perform operations isn't available.</p>
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {InvalidPasswordException} <p>The supplied password doesn't match the minimum security constraints, such as length or use of special characters.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {UnsupportedOperationException} <p>You can't perform a write operation against a read-only directory.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    resetPassword(args: ResetPasswordInput): Promise<ResetPasswordOutput>;
    resetPassword(args: ResetPasswordInput, cb: (err: any, data?: ResetPasswordOutput) => void): void;
    /**
     * <p>Updates a user's current mailbox quota for a specified organization and user.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateMailboxQuota(args: UpdateMailboxQuotaInput): Promise<UpdateMailboxQuotaOutput>;
    updateMailboxQuota(args: UpdateMailboxQuotaInput, cb: (err: any, data?: UpdateMailboxQuotaOutput) => void): void;
    /**
     * <p>Updates the primary email for a user, group, or resource. The current email is moved into the list of aliases (or swapped between an existing alias and the current primary email), and the email provided in the input is promoted as the primary.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryServiceAuthenticationFailedException} <p>The directory service doesn't recognize the credentials supplied by WorkMail.</p>
     *   - {DirectoryUnavailableException} <p>The directory on which you are trying to perform operations isn't available.</p>
     *   - {EmailAddressInUseException} <p>The email address that you're trying to assign is already created for a different user, group, or resource.</p>
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {MailDomainNotFoundException} <p>For an email or alias to be created in Amazon WorkMail, the included domain must be defined in the organization.</p>
     *   - {MailDomainStateException} <p>After a domain has been added to the organization, it must be verified. The domain is not yet verified.</p>
     *   - {InvalidParameterException} <p>One or more of the input parameters don't match the service's restrictions.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {UnsupportedOperationException} <p>You can't perform a write operation against a read-only directory.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updatePrimaryEmailAddress(args: UpdatePrimaryEmailAddressInput): Promise<UpdatePrimaryEmailAddressOutput>;
    updatePrimaryEmailAddress(args: UpdatePrimaryEmailAddressInput, cb: (err: any, data?: UpdatePrimaryEmailAddressOutput) => void): void;
    /**
     * <p>Updates data for the resource. To have the latest information, it must be preceded by a <a>DescribeResource</a> call. The dataset in the request should be the one expected when performing another <code>DescribeResource</code> call.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {DirectoryUnavailableException} <p>The directory on which you are trying to perform operations isn't available.</p>
     *   - {EntityNotFoundException} <p>The identifier supplied for the user, group, or resource does not exist in your organization.</p>
     *   - {EntityStateException} <p>You are performing an operation on a user, group, or resource that isn't in the expected state, such as trying to delete an active user.</p>
     *   - {InvalidConfigurationException} <p>The configuration for a resource isn't valid. A resource must either be able to auto-respond to requests or have at least one delegate associated that can do so on its behalf.</p>
     *   - {EmailAddressInUseException} <p>The email address that you're trying to assign is already created for a different user, group, or resource.</p>
     *   - {MailDomainNotFoundException} <p>For an email or alias to be created in Amazon WorkMail, the included domain must be defined in the organization.</p>
     *   - {MailDomainStateException} <p>After a domain has been added to the organization, it must be verified. The domain is not yet verified.</p>
     *   - {NameAvailabilityException} <p>The user, group, or resource name isn't unique in Amazon WorkMail.</p>
     *   - {OrganizationNotFoundException} <p>An operation received a valid organization identifier that either doesn't belong or exist in the system.</p>
     *   - {OrganizationStateException} <p>The organization must have a valid state (Active or Synchronizing) to perform certain operations on the organization or its members.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateResource(args: UpdateResourceInput): Promise<UpdateResourceOutput>;
    updateResource(args: UpdateResourceInput, cb: (err: any, data?: UpdateResourceOutput) => void): void;
}
