"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var WorkMailClient_1 = require("./WorkMailClient");
var AssociateDelegateToResourceCommand_1 = require("./commands/AssociateDelegateToResourceCommand");
var AssociateMemberToGroupCommand_1 = require("./commands/AssociateMemberToGroupCommand");
var CreateAliasCommand_1 = require("./commands/CreateAliasCommand");
var CreateGroupCommand_1 = require("./commands/CreateGroupCommand");
var CreateResourceCommand_1 = require("./commands/CreateResourceCommand");
var CreateUserCommand_1 = require("./commands/CreateUserCommand");
var DeleteAliasCommand_1 = require("./commands/DeleteAliasCommand");
var DeleteGroupCommand_1 = require("./commands/DeleteGroupCommand");
var DeleteMailboxPermissionsCommand_1 = require("./commands/DeleteMailboxPermissionsCommand");
var DeleteResourceCommand_1 = require("./commands/DeleteResourceCommand");
var DeleteUserCommand_1 = require("./commands/DeleteUserCommand");
var DeregisterFromWorkMailCommand_1 = require("./commands/DeregisterFromWorkMailCommand");
var DescribeGroupCommand_1 = require("./commands/DescribeGroupCommand");
var DescribeOrganizationCommand_1 = require("./commands/DescribeOrganizationCommand");
var DescribeResourceCommand_1 = require("./commands/DescribeResourceCommand");
var DescribeUserCommand_1 = require("./commands/DescribeUserCommand");
var DisassociateDelegateFromResourceCommand_1 = require("./commands/DisassociateDelegateFromResourceCommand");
var DisassociateMemberFromGroupCommand_1 = require("./commands/DisassociateMemberFromGroupCommand");
var GetMailboxDetailsCommand_1 = require("./commands/GetMailboxDetailsCommand");
var ListAliasesCommand_1 = require("./commands/ListAliasesCommand");
var ListGroupMembersCommand_1 = require("./commands/ListGroupMembersCommand");
var ListGroupsCommand_1 = require("./commands/ListGroupsCommand");
var ListMailboxPermissionsCommand_1 = require("./commands/ListMailboxPermissionsCommand");
var ListOrganizationsCommand_1 = require("./commands/ListOrganizationsCommand");
var ListResourceDelegatesCommand_1 = require("./commands/ListResourceDelegatesCommand");
var ListResourcesCommand_1 = require("./commands/ListResourcesCommand");
var ListUsersCommand_1 = require("./commands/ListUsersCommand");
var PutMailboxPermissionsCommand_1 = require("./commands/PutMailboxPermissionsCommand");
var RegisterToWorkMailCommand_1 = require("./commands/RegisterToWorkMailCommand");
var ResetPasswordCommand_1 = require("./commands/ResetPasswordCommand");
var UpdateMailboxQuotaCommand_1 = require("./commands/UpdateMailboxQuotaCommand");
var UpdatePrimaryEmailAddressCommand_1 = require("./commands/UpdatePrimaryEmailAddressCommand");
var UpdateResourceCommand_1 = require("./commands/UpdateResourceCommand");
var WorkMail = /** @class */ (function (_super) {
    tslib_1.__extends(WorkMail, _super);
    function WorkMail() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    WorkMail.prototype.associateDelegateToResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AssociateDelegateToResourceCommand_1.AssociateDelegateToResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.associateMemberToGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AssociateMemberToGroupCommand_1.AssociateMemberToGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.createAlias = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateAliasCommand_1.CreateAliasCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.createGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateGroupCommand_1.CreateGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.createResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateResourceCommand_1.CreateResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.createUser = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateUserCommand_1.CreateUserCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.deleteAlias = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteAliasCommand_1.DeleteAliasCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.deleteGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteGroupCommand_1.DeleteGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.deleteMailboxPermissions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteMailboxPermissionsCommand_1.DeleteMailboxPermissionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.deleteResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteResourceCommand_1.DeleteResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.deleteUser = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteUserCommand_1.DeleteUserCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.deregisterFromWorkMail = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeregisterFromWorkMailCommand_1.DeregisterFromWorkMailCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.describeGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeGroupCommand_1.DescribeGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.describeOrganization = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeOrganizationCommand_1.DescribeOrganizationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.describeResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeResourceCommand_1.DescribeResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.describeUser = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeUserCommand_1.DescribeUserCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.disassociateDelegateFromResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisassociateDelegateFromResourceCommand_1.DisassociateDelegateFromResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.disassociateMemberFromGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisassociateMemberFromGroupCommand_1.DisassociateMemberFromGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.getMailboxDetails = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetMailboxDetailsCommand_1.GetMailboxDetailsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.listAliases = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListAliasesCommand_1.ListAliasesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.listGroupMembers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListGroupMembersCommand_1.ListGroupMembersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.listGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListGroupsCommand_1.ListGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.listMailboxPermissions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListMailboxPermissionsCommand_1.ListMailboxPermissionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.listOrganizations = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListOrganizationsCommand_1.ListOrganizationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.listResourceDelegates = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListResourceDelegatesCommand_1.ListResourceDelegatesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.listResources = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListResourcesCommand_1.ListResourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.listUsers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListUsersCommand_1.ListUsersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.putMailboxPermissions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutMailboxPermissionsCommand_1.PutMailboxPermissionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.registerToWorkMail = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegisterToWorkMailCommand_1.RegisterToWorkMailCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.resetPassword = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ResetPasswordCommand_1.ResetPasswordCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.updateMailboxQuota = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateMailboxQuotaCommand_1.UpdateMailboxQuotaCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.updatePrimaryEmailAddress = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdatePrimaryEmailAddressCommand_1.UpdatePrimaryEmailAddressCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    WorkMail.prototype.updateResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateResourceCommand_1.UpdateResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return WorkMail;
}(WorkMailClient_1.WorkMailClient));
exports.WorkMail = WorkMail;
//# sourceMappingURL=WorkMail.js.map