"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AssociateDelegateToResource_1 = require("../model/operations/AssociateDelegateToResource");
var AssociateDelegateToResourceCommand = /** @class */ (function () {
    function AssociateDelegateToResourceCommand(input) {
        this.input = input;
        this.model = AssociateDelegateToResource_1.AssociateDelegateToResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AssociateDelegateToResourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AssociateDelegateToResourceCommand;
}());
exports.AssociateDelegateToResourceCommand = AssociateDelegateToResourceCommand;
//# sourceMappingURL=AssociateDelegateToResourceCommand.js.map