"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteGroup_1 = require("../model/operations/DeleteGroup");
var DeleteGroupCommand = /** @class */ (function () {
    function DeleteGroupCommand(input) {
        this.input = input;
        this.model = DeleteGroup_1.DeleteGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteGroupCommand;
}());
exports.DeleteGroupCommand = DeleteGroupCommand;
//# sourceMappingURL=DeleteGroupCommand.js.map