"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeGroup_1 = require("../model/operations/DescribeGroup");
var DescribeGroupCommand = /** @class */ (function () {
    function DescribeGroupCommand(input) {
        this.input = input;
        this.model = DescribeGroup_1.DescribeGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeGroupCommand;
}());
exports.DescribeGroupCommand = DescribeGroupCommand;
//# sourceMappingURL=DescribeGroupCommand.js.map