"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeResource_1 = require("../model/operations/DescribeResource");
var DescribeResourceCommand = /** @class */ (function () {
    function DescribeResourceCommand(input) {
        this.input = input;
        this.model = DescribeResource_1.DescribeResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeResourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeResourceCommand;
}());
exports.DescribeResourceCommand = DescribeResourceCommand;
//# sourceMappingURL=DescribeResourceCommand.js.map