"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeUser_1 = require("../model/operations/DescribeUser");
var DescribeUserCommand = /** @class */ (function () {
    function DescribeUserCommand(input) {
        this.input = input;
        this.model = DescribeUser_1.DescribeUser;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeUserCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeUserCommand;
}());
exports.DescribeUserCommand = DescribeUserCommand;
//# sourceMappingURL=DescribeUserCommand.js.map