"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisassociateDelegateFromResource_1 = require("../model/operations/DisassociateDelegateFromResource");
var DisassociateDelegateFromResourceCommand = /** @class */ (function () {
    function DisassociateDelegateFromResourceCommand(input) {
        this.input = input;
        this.model = DisassociateDelegateFromResource_1.DisassociateDelegateFromResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisassociateDelegateFromResourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisassociateDelegateFromResourceCommand;
}());
exports.DisassociateDelegateFromResourceCommand = DisassociateDelegateFromResourceCommand;
//# sourceMappingURL=DisassociateDelegateFromResourceCommand.js.map