"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListGroupMembers_1 = require("../model/operations/ListGroupMembers");
var ListGroupMembersCommand = /** @class */ (function () {
    function ListGroupMembersCommand(input) {
        this.input = input;
        this.model = ListGroupMembers_1.ListGroupMembers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListGroupMembersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListGroupMembersCommand;
}());
exports.ListGroupMembersCommand = ListGroupMembersCommand;
//# sourceMappingURL=ListGroupMembersCommand.js.map