"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListGroups_1 = require("../model/operations/ListGroups");
var ListGroupsCommand = /** @class */ (function () {
    function ListGroupsCommand(input) {
        this.input = input;
        this.model = ListGroups_1.ListGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListGroupsCommand;
}());
exports.ListGroupsCommand = ListGroupsCommand;
//# sourceMappingURL=ListGroupsCommand.js.map