"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListMailboxPermissions_1 = require("../model/operations/ListMailboxPermissions");
var ListMailboxPermissionsCommand = /** @class */ (function () {
    function ListMailboxPermissionsCommand(input) {
        this.input = input;
        this.model = ListMailboxPermissions_1.ListMailboxPermissions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListMailboxPermissionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListMailboxPermissionsCommand;
}());
exports.ListMailboxPermissionsCommand = ListMailboxPermissionsCommand;
//# sourceMappingURL=ListMailboxPermissionsCommand.js.map