"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListOrganizations_1 = require("../model/operations/ListOrganizations");
var ListOrganizationsCommand = /** @class */ (function () {
    function ListOrganizationsCommand(input) {
        this.input = input;
        this.model = ListOrganizations_1.ListOrganizations;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListOrganizationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListOrganizationsCommand;
}());
exports.ListOrganizationsCommand = ListOrganizationsCommand;
//# sourceMappingURL=ListOrganizationsCommand.js.map