"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListResourceDelegates_1 = require("../model/operations/ListResourceDelegates");
var ListResourceDelegatesCommand = /** @class */ (function () {
    function ListResourceDelegatesCommand(input) {
        this.input = input;
        this.model = ListResourceDelegates_1.ListResourceDelegates;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListResourceDelegatesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListResourceDelegatesCommand;
}());
exports.ListResourceDelegatesCommand = ListResourceDelegatesCommand;
//# sourceMappingURL=ListResourceDelegatesCommand.js.map