"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListResources_1 = require("../model/operations/ListResources");
var ListResourcesCommand = /** @class */ (function () {
    function ListResourcesCommand(input) {
        this.input = input;
        this.model = ListResources_1.ListResources;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListResourcesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListResourcesCommand;
}());
exports.ListResourcesCommand = ListResourcesCommand;
//# sourceMappingURL=ListResourcesCommand.js.map