"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListUsers_1 = require("../model/operations/ListUsers");
var ListUsersCommand = /** @class */ (function () {
    function ListUsersCommand(input) {
        this.input = input;
        this.model = ListUsers_1.ListUsers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListUsersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListUsersCommand;
}());
exports.ListUsersCommand = ListUsersCommand;
//# sourceMappingURL=ListUsersCommand.js.map