"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegisterToWorkMail_1 = require("../model/operations/RegisterToWorkMail");
var RegisterToWorkMailCommand = /** @class */ (function () {
    function RegisterToWorkMailCommand(input) {
        this.input = input;
        this.model = RegisterToWorkMail_1.RegisterToWorkMail;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegisterToWorkMailCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegisterToWorkMailCommand;
}());
exports.RegisterToWorkMailCommand = RegisterToWorkMailCommand;
//# sourceMappingURL=RegisterToWorkMailCommand.js.map