"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ResetPassword_1 = require("../model/operations/ResetPassword");
var ResetPasswordCommand = /** @class */ (function () {
    function ResetPasswordCommand(input) {
        this.input = input;
        this.model = ResetPassword_1.ResetPassword;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ResetPasswordCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ResetPasswordCommand;
}());
exports.ResetPasswordCommand = ResetPasswordCommand;
//# sourceMappingURL=ResetPasswordCommand.js.map