"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateGroupInput_1 = require("../shapes/CreateGroupInput");
var CreateGroupOutput_1 = require("../shapes/CreateGroupOutput");
var DirectoryServiceAuthenticationFailedException_1 = require("../shapes/DirectoryServiceAuthenticationFailedException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var NameAvailabilityException_1 = require("../shapes/NameAvailabilityException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ReservedNameException_1 = require("../shapes/ReservedNameException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateGroupInput_1.CreateGroupInput
    },
    output: {
        shape: CreateGroupOutput_1.CreateGroupOutput
    },
    errors: [
        {
            shape: DirectoryServiceAuthenticationFailedException_1.DirectoryServiceAuthenticationFailedException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: NameAvailabilityException_1.NameAvailabilityException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        },
        {
            shape: ReservedNameException_1.ReservedNameException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=CreateGroup.js.map