"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateResourceInput_1 = require("../shapes/CreateResourceInput");
var CreateResourceOutput_1 = require("../shapes/CreateResourceOutput");
var DirectoryServiceAuthenticationFailedException_1 = require("../shapes/DirectoryServiceAuthenticationFailedException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var NameAvailabilityException_1 = require("../shapes/NameAvailabilityException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ReservedNameException_1 = require("../shapes/ReservedNameException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateResourceInput_1.CreateResourceInput
    },
    output: {
        shape: CreateResourceOutput_1.CreateResourceOutput
    },
    errors: [
        {
            shape: DirectoryServiceAuthenticationFailedException_1.DirectoryServiceAuthenticationFailedException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: NameAvailabilityException_1.NameAvailabilityException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        },
        {
            shape: ReservedNameException_1.ReservedNameException
        }
    ]
};
//# sourceMappingURL=CreateResource.js.map