"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateUserInput_1 = require("../shapes/CreateUserInput");
var CreateUserOutput_1 = require("../shapes/CreateUserOutput");
var DirectoryServiceAuthenticationFailedException_1 = require("../shapes/DirectoryServiceAuthenticationFailedException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidPasswordException_1 = require("../shapes/InvalidPasswordException");
var NameAvailabilityException_1 = require("../shapes/NameAvailabilityException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ReservedNameException_1 = require("../shapes/ReservedNameException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateUser = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateUser",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateUserInput_1.CreateUserInput
    },
    output: {
        shape: CreateUserOutput_1.CreateUserOutput
    },
    errors: [
        {
            shape: DirectoryServiceAuthenticationFailedException_1.DirectoryServiceAuthenticationFailedException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidPasswordException_1.InvalidPasswordException
        },
        {
            shape: NameAvailabilityException_1.NameAvailabilityException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        },
        {
            shape: ReservedNameException_1.ReservedNameException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=CreateUser.js.map