"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegisterToWorkMailInput_1 = require("../shapes/RegisterToWorkMailInput");
var RegisterToWorkMailOutput_1 = require("../shapes/RegisterToWorkMailOutput");
var DirectoryServiceAuthenticationFailedException_1 = require("../shapes/DirectoryServiceAuthenticationFailedException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var EmailAddressInUseException_1 = require("../shapes/EmailAddressInUseException");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var EntityAlreadyRegisteredException_1 = require("../shapes/EntityAlreadyRegisteredException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var MailDomainNotFoundException_1 = require("../shapes/MailDomainNotFoundException");
var MailDomainStateException_1 = require("../shapes/MailDomainStateException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterToWorkMail = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterToWorkMail",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RegisterToWorkMailInput_1.RegisterToWorkMailInput
    },
    output: {
        shape: RegisterToWorkMailOutput_1.RegisterToWorkMailOutput
    },
    errors: [
        {
            shape: DirectoryServiceAuthenticationFailedException_1.DirectoryServiceAuthenticationFailedException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: EmailAddressInUseException_1.EmailAddressInUseException
        },
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: EntityAlreadyRegisteredException_1.EntityAlreadyRegisteredException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: MailDomainNotFoundException_1.MailDomainNotFoundException
        },
        {
            shape: MailDomainStateException_1.MailDomainStateException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=RegisterToWorkMail.js.map