"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ResetPasswordInput_1 = require("../shapes/ResetPasswordInput");
var ResetPasswordOutput_1 = require("../shapes/ResetPasswordOutput");
var DirectoryServiceAuthenticationFailedException_1 = require("../shapes/DirectoryServiceAuthenticationFailedException");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidPasswordException_1 = require("../shapes/InvalidPasswordException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ResetPassword = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ResetPassword",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ResetPasswordInput_1.ResetPasswordInput
    },
    output: {
        shape: ResetPasswordOutput_1.ResetPasswordOutput
    },
    errors: [
        {
            shape: DirectoryServiceAuthenticationFailedException_1.DirectoryServiceAuthenticationFailedException
        },
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidPasswordException_1.InvalidPasswordException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        }
    ]
};
//# sourceMappingURL=ResetPassword.js.map