"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateResourceInput_1 = require("../shapes/UpdateResourceInput");
var UpdateResourceOutput_1 = require("../shapes/UpdateResourceOutput");
var DirectoryUnavailableException_1 = require("../shapes/DirectoryUnavailableException");
var EntityNotFoundException_1 = require("../shapes/EntityNotFoundException");
var EntityStateException_1 = require("../shapes/EntityStateException");
var InvalidConfigurationException_1 = require("../shapes/InvalidConfigurationException");
var EmailAddressInUseException_1 = require("../shapes/EmailAddressInUseException");
var MailDomainNotFoundException_1 = require("../shapes/MailDomainNotFoundException");
var MailDomainStateException_1 = require("../shapes/MailDomainStateException");
var NameAvailabilityException_1 = require("../shapes/NameAvailabilityException");
var OrganizationNotFoundException_1 = require("../shapes/OrganizationNotFoundException");
var OrganizationStateException_1 = require("../shapes/OrganizationStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateResourceInput_1.UpdateResourceInput
    },
    output: {
        shape: UpdateResourceOutput_1.UpdateResourceOutput
    },
    errors: [
        {
            shape: DirectoryUnavailableException_1.DirectoryUnavailableException
        },
        {
            shape: EntityNotFoundException_1.EntityNotFoundException
        },
        {
            shape: EntityStateException_1.EntityStateException
        },
        {
            shape: InvalidConfigurationException_1.InvalidConfigurationException
        },
        {
            shape: EmailAddressInUseException_1.EmailAddressInUseException
        },
        {
            shape: MailDomainNotFoundException_1.MailDomainNotFoundException
        },
        {
            shape: MailDomainStateException_1.MailDomainStateException
        },
        {
            shape: NameAvailabilityException_1.NameAvailabilityException
        },
        {
            shape: OrganizationNotFoundException_1.OrganizationNotFoundException
        },
        {
            shape: OrganizationStateException_1.OrganizationStateException
        }
    ]
};
//# sourceMappingURL=UpdateResource.js.map